import { User } from 'web-user-model';
import { RoleFactory } from "./RoleFactory";
import { AjaxFactory } from "./AjaxFactory";
export declare class UserFactory {
    $http: any;
    $rootScope: any;
    ajaxFactory: AjaxFactory;
    roleFactory: RoleFactory;
    static factoryName: string;
    static $inject: any[];
    static initialized: boolean;
    static clientSalt: string;
    user: any;
    role: string;
    token: string;
    LoggedIn: boolean;
    constructor($http: any, $rootScope: any, ajaxFactory: AjaxFactory, roleFactory: RoleFactory);
    Initialize(): void;
    getSelectList(resolve: (list: any[]) => void, reject: (error: string) => void): void;
    getOneById(id: string, resolve: (list: any) => void, reject: (error: string) => void): void;
    StoreCredentials(user: User, token: string): void;
    ClearCredentials(): void;
    private updateRootScope();
    LoadCredentials(): void;
    setUser(user: User): User;
    ChangePassword(pswd: string, newPassword: string, success: () => void, failure?: (message: string) => void): void;
    HashString(toHash: string): string;
    $get(): this;
    static Factory(): any[];
}
export declare let UserFactoryModule: any;
